Video Screencast Help
Symantec to Separate Into Two Focused, Industry-Leading Technology Companies. Learn more.

Is BE 2012 with SP3 now stable & efficient in general ? Feedback needed please

Created: 25 Feb 2014 | 3 comments

Hello,

I am currently using BE 2010 R3 SP4, with HP LTO5 & remote agents for Windows 2003/2008 and VSphere 4.1 with NBD transport

I would like to know if it is now worth upgrading to BE 2012 SP3 or wait for a next major release ? I remember there had been many problems with reliability, speed, performance at the launch of BE 2012.

So I would be glad to have your feedback about it please

Thanks

 

 

 

Operating Systems:

Comments 3 CommentsJump to latest comment

CraigV's picture

Hi,

 

Depends on how your environment is configured to be honest. A small environment and it might be worthwhile to do so, considering that BE 2012 is now server-centric and not resource-centric, meaning each server gets its own backup job (no longer grouped).

It seems as if a lot of the instability has been fixed, but there is still no media server support for Windows Server 2012 R1 and R2 for instance.

If I was in your shoes I would maybe wait till BE 2014 is released, but you can read below on the Beta for this and then sign up for it if you want too. You can make an informed decision around this by doing so...

https://www-secure.symantec.com/connect/blogs/back...

Thanks!

 

Alternative ways to access Backup Exec Technical Support:

https://www-secure.symantec.com/connect/blogs/alte...

sidd3009's picture

Hello, You may refer to the following links to get more information on the differences between Backup Exec 2010 and 2012: 

1. What's different in Backup Exec 2012? : http://www.symantec.com/docs/DOC5216

2. Preparing to Install or Upgrade to BE 2012(A wonderful article by pkh): https://www-secure.symantec.com/connect/articles/preparing-install-or-upgrade-be-2012

Regards,

Siddhant Saini
Advanced Technical Support Engineer, Symantec Corporation 
www.symantec.com

Nikhoff's picture

Hello Craig & Sidd,

Thanks for your feedback and links.

For now our BE Server is installed on a Win 2003 SP2 server, and the next OS upgrade will be Windows 2008 R2 (we won't move to Win 2012 because of other constraints)

We use mainly 2 jobs (daily (files, *.pst), and weekly (26 VM)) and recently had some errors (E0009578) , I've installed the recommended patch yesterday and will see if the problem is fix during the next weekly backup. Those errors are also the reason we want to upgrade.

We own already the BE 2012 Licence, and I guess that BE 2014 won't be very mature before SP1 or SP2, so I think I will follow the BE 2012 way for now, provided everything is well compatible with our hardware/software (I will see all the links you advised me in order to perform a successful upgrade)